Folks.IndividualAggregator.unlink_individual – folks Reference Manual

# unlink_individual

## Description:

public async void unlink_individual (Individual individual) throws Error

Unlinks the given Individual into its constituent Personas.

This completely unlinks the given Individual, destroying all of its writeable Personas.

The Individual's removal is signalled by IndividualAggregator.individuals_changed and Individual.removed.

The Personas comprising the Individual will be re-linked into one or more new Individuals, depending on how much linking data remains (typically only implicit links remain). The addition of these new Individuals will be signalled by IndividualAggregator.individuals_changed.

This method is safe to call multiple times concurrently, although concurrent calls for the same individual may result in duplicate personas being created.

## Parameters:

individual | the Individual to unlink

## Exceptions:

GLib.Error | if removing the linking persona failed — this will be passed through from PersonaStore.remove_persona

## Since:

0.1.13